<?php

    include("../../classes/database.class.php");
    include("../../classes/unidadeMedidaModel.class.php");
    include("../../classes/unidadeMedidaController.class.php");
    
    $idUnidadeMedida = $_POST["idUnidadeMedida"];
    $nome = $_POST["nome"];
    $sigla = $_POST["sigla"];
    $tipo = $_POST["tipo"];
    $casaDecimal = $_POST["casaDecimal"];

    if($nome == ""){
        $nome = null;
    }
    if($sigla == ""){
        $sigla = null;
    }
    if($tipo == ""){
        $tipo = null;
    }
    if($casaDecimal == ""){
        $casaDecimal = null;
    }

    $modelo = new UnidadeMedidaController($nome, $sigla, $tipo, $casaDecimal);
    $rows = $modelo->updateUnidadeMedida($idUnidadeMedida);

   echo json_encode($rows);